﻿using DataGridExample.ViewModels;
using Xamarin.Forms;

namespace DataGridExample.Views
{
    public class JobCodeTemplateSelector : DataTemplateSelector
    {
        public int Index;

        public JobCodeTemplateSelector() { }
        public JobCodeTemplateSelector(int i)
        {
            this.Index = i;
        }

        public DataTemplate Special { get; set; }
        public DataTemplate Normal { get; set; }

        public DataTemplate Other { get; set; }

        protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
        {
            var thing = item as Thing;
            var template = Normal;
            if (thing != null)
            {
                if (thing.JobCodeCollection[Index].Special)
                    template = Special;
            }

            return template; 
        }
    }
}
